﻿using UnityEngine;
using System.Collections;

public class MainMenuBehaviour : MonoBehaviour {
	public KeyCode startButton;
	public KeyCode quitButton;

	public MainGameControllerBehaviour MainController;

	// Update is called once per frame
	public void UpdateMenu () {
		if(Input.GetKeyDown(startButton)) {
			//Start game
			MainController.IsStartKeyDown = true;
			MainController.PushGameState(MainGameControllerBehaviour.GameState.InGame);
			ShowMenu(false);
		} else if(Input.GetKeyDown(quitButton)) {
			Application.Quit();
		}
	}

	/*
	 * Activates the main menu
	 */
	public void ShowMenu(bool shouldShow) {
		gameObject.SetActive(shouldShow);
	}
}
